# Gmagick::addimage

(PECL gmagick >= Unknown)

Gmagick::addimage — Adds new image to Gmagick object image list

### Description

public Gmagick::addimage ( Gmagick `$source` ) : Gmagick

Adds new image to Gmagick object from the current position of the source object. After the operation iterator position is moved at the end of the list.

### Parameters

`source`

  The source Gmagick object

### Return Values

The Gmagick object with image added

### Errors/Exceptions

Throws an GmagickException on error.